export const supportedProps = /** @type {const} */ ([
  'color',
  'font-style',
  'font-weight',
  'text-decoration',
]);

// https://github.com/mongodb-js/pretty-repl/blob/master/lib/highlight.js
export const defaultSheet = /** @type {const} */ ({
  addition: 'cyan',
  attr: 'yellow',
  attribute: 'yellow',
  built_in: 'cyan',
  bullet: 'magenta',
  'title.class': 'yellow',
  comment: 'gray',
  deletion: 'red',
  doctag: 'cyan',
  emphasis: 'italic',
  formula: 'inverse',
  'title.function': 'yellow',
  keyword: 'cyan',
  link: 'magenta',
  literal: 'yellow',
  'meta keyword': 'magenta',
  'meta string': 'cyan',
  meta: 'magenta',
  number: 'yellow',
  quote: 'gray',
  regexp: 'red',
  string: 'green',
  strong: 'bold',
  subst: 'magenta',
  symbol: 'green',
  'template-variable': 'yellow',
  type: 'yellow',
  variable: 'yellow',
});

// https://github.com/highlightjs/highlight.js/tree/main/src/styles
export const themes = new Set(
  /** @type {const} */ ([
    'a11y-dark',
    'a11y-light',
    'agate',
    'an-old-hope',
    'androidstudio',
    'arduino-light',
    'arta',
    'ascetic',
    'atom-one-dark-reasonable',
    'atom-one-dark',
    'atom-one-light',
    'brown-paper',
    'codepen-embed',
    'color-brewer',
    'dark',
    'default',
    'devibeans',
    'docco',
    'far',
    'felipec',
    'foundation',
    'github-dark-dimmed',
    'github-dark',
    'github',
    'gml',
    'googlecode',
    'gradient-dark',
    'gradient-light',
    'grayscale',
    'hybrid',
    'idea',
    'intellij-light',
    'ir-black',
    'isbl-editor-dark',
    'isbl-editor-light',
    'kimbie-dark',
    'kimbie-light',
    'lightfair',
    'lioshi',
    'magula',
    'mono-blue',
    'monokai-sublime',
    'monokai',
    'night-owl',
    'nnfx-dark',
    'nnfx-light',
    'nord',
    'obsidian',
    'panda-syntax-dark',
    'panda-syntax-light',
    'paraiso-dark',
    'paraiso-light',
    'pojoaque',
    'purebasic',
    'qtcreator-dark',
    'qtcreator-light',
    'rainbow',
    'routeros',
    'school-book',
    'shades-of-purple',
    'srcery',
    'stackoverflow-dark',
    'stackoverflow-light',
    'sunburst',
    'tokyo-night-dark',
    'tokyo-night-light',
    'tomorrow-night-blue',
    'tomorrow-night-bright',
    'vs',
    'vs2015',
    'xcode',
    'xt256',
  ])
);
